Subject: Re: [PATCH] net: mvpp2: add delay at the end of .mac_prepare

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 1 May 2022 12:30:07 +0100

On Wed, Apr 27, 2022 at 06:05:36PM +0300, Baruch Siach wrote:
> From: Baruch Siach <[email-masked]>
> 
> Without this delay PHY mode switch from XLG to SGMII fails in a weird
> way. Rx side works. However, Tx appears to work as far as the MAC is
> concerned, but packets don't show up on the wire.
> 
> Tested with Marvell 10G 88X3310 PHY.

Which firmware do you have running on the 88x3310 PHY? Early versions
are buggy when switching between modes.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!